<?php

#------------------------------------------

# Plugin para WDTV Live

# Enlace a las pelculas de la web sofacine

#--------------------------------------------------------

include('funciones.php');



function _pluginMain($prmQuery) {

	$website = 'http://www.sofacine.com/ver-descargar/peliculas-hd.html';

	$website2 = 'http://www.sofacine.com';

	$website3 = 'http://www.sofacine.com/ver-descargar/';

	$plugin = 'sofacine';



	$queryData = array();

	parse_str($prmQuery, $queryData);



	if ($queryData['inicio'] == 'paginasHD') { // Paginacin de Peliculas HD

		$html = file_get_contents($website);

		preg_match("/gina 1 de (.*?)</",$html,$paginas);

		$numero = (int)$paginas[1];

		$titulos[0]= 'P&aacute;gina 1';

		$enlaces[0]= $website; // La primera pgina tiene un tipo de enlace distinto.

		for ($z = 1; $z <= $numero-1; $z++) {$titulos[$z]= 'P&aacute;gina '.($z+1); $enlaces[$z]= $website2.'/hdrip-brscr/'.(40*$z+1).'.html';}

		$lista = array ('titulo' => $titulos,'enlace' => $enlaces);

		$tipo = 'pelisHD'; 

	}

	else if ($queryData['inicio'] == 'listadoG') { // Listado por genero

		$lista = array (

		'titulo' => array (

			'Accion',	'Aventuras',  'Ciencia Ficcion', 'Cine Negro', 'Comedia', 'Dibujos-Animacion', 'Drama', 'Fantasia', 'Historica-Belica', 'Intriga-Thriller',

			'Musical', 'Romance', 'Terror', 'Western'

		),

		'enlace' => array (

			$website3.'peliculas-espanol-accion.html', $website3.'peliculas-espanol-aventuras.html', $website3.'peliculas-espanol-ciencia-ficcion.html', $website3.'peliculas-espanol-cine-negro.html',

			$website3.'peliculas-espanol-comedia.html', $website3.'peliculas-espanol-dibujos-animacion.html', $website3.'peliculas-espanol-drama.html',

			$website3.'peliculas-espanol-fantasia.html', $website3.'peliculas-espanol-historica-belica.html', $website3.'peliculas-espanol-intriga-thriller-suspense.html',

			$website3.'peliculas-espanol-musical.html', $website3.'peliculas-espanol-romance.html', $website3.'peliculas-espanol-terror.html', $website3.'peliculas-espanol-western.html'

		),

		'caratula' => array (

			'http://i56.tinypic.com/6fps.jpg',

			'http://i53.tinypic.com/2yvks4k.jpg',

			'http://i53.tinypic.com/95yo7t.jpg',

                        'http://i54.tinypic.com/2ahh6ie.jpg',

			'http://i53.tinypic.com/34pnudl.jpg',

			'http://i52.tinypic.com/wmj76v.jpg',

			'http://i53.tinypic.com/34ebyop.jpg',

			'http://i56.tinypic.com/34he4v9.jpg',

			'http://i52.tinypic.com/vxm3pd.jpg',

			'http://i51.tinypic.com/2yopnp3.jpg',

			'http://i54.tinypic.com/1z648j8.jpg',

			'http://i56.tinypic.com/4uynbs.jpg',

			'http://i54.tinypic.com/w000ar.jpg',

			'http://i54.tinypic.com/2lq4ns.jpg'

			)

		);

		$tipo = 'genero';

	}

	else if ($queryData['genero'] != '') { // Paginacin de Peliculas SD

		$html = file_get_contents($queryData['genero']);

		preg_match("/gina 1 de (.*?)</",$html,$paginas);

		preg_match_all('/<strong><a href="(.*?)" title/',$html,$numpagina);

		$numero = (int)$paginas[1];

		$titulos[0]= 'P&aacute;gina 1';

		$enlaces[0]= $queryData['genero']; // La primera pgina tiene un tipo de enlace distinto.

		//Dado que en la pgina principal de cada genero solo aparecen los links a las 10 primeras pginas hay que leer el contenido de las pginas mltiplos de 10 + 1.

		if ($numero <= 10){ 

			for ($z = 1; $z <= $numero-1; $z++) {$titulos[$z]= 'P&aacute;gina '.($z+1); $enlaces[$z]= $website2.$numpagina[1][$z-1];}

		}

		else { // si hay ms de diez pginas 

		    for ($z = 1; $z <= 9; $z++) {$titulos[$z]= 'P&aacute;gina '.($z+1); $enlaces[$z]= $website2.$numpagina[1][$z-1];}

			$multiplos = intval($numero/10);

			for ($p = 1; $p <= $multiplos; $p++){

			 $mult= $p*10;

				 // Necesito coger el link de la pgina 11 desde la pgina 10, de la 21 de la 20 y as sucesivamente.

				$html = file_get_contents($enlaces[$mult-1]);

				preg_match_all('/<strong><a href="(.*?)" title=/',$html,$pag);

				$titulos[$mult]= 'P&aacute;gina '.($mult+1);

				$enlaces[$mult] = $website2.$pag[1][11];				 



				$html = file_get_contents($enlaces[$mult]);	

				preg_match_all('/<strong><a href="(.*?)" title/',$html,$numpagina);

		

				$numero = (int)$paginas[1]-$mult;

				

				if ($numero <= 10){ $contador = $numero;}

				else { $contador = 11; }

												 

				for ($zz = 1; $zz <= $contador-1; $zz++) {$titulos[$zz+$mult]= 'P&aacute;gina '.($zz+$mult+1); $enlaces[$zz+$mult]= $website2.$numpagina[1][$zz+1];} //Hay que saltarse los 2 primeros enlaces ya que corresponden a Inicio y Anterior

			}

		} 

		$lista = array ('titulo' => $titulos,'enlace' => $enlaces);

		$tipo = 'pelisSD'; 

	}

   else if ($queryData['pelisSD'] != '') { // Listado de pelculas en SD

      $html = file_get_contents($queryData['pelisSD']);

      preg_match_all('/<h2 class="contentheading"><span><a href="(.*?)" class="contentpagetitle">(.*?)<\/a>/',$html,$todo);

      preg_match_all('/"article-content clearfix">[\s|\n|\t]*<p><a href="[^"]*"><img src="(.*?)"/',$html,$cover);

      foreach ($cover[1] as &$value) {$value = $website2.'/'.$value;}

      $lista = array ('titulo' => $todo[2], 'enlace' => $todo[1], 'caratula' => $cover[1]);

      $tipo = 'enlaces';
   }	
	
    else if ($queryData['pelisHD'] != '') { // Listado de pelculas en HD

      $html = file_get_contents($queryData['pelisHD']);

      preg_match_all('/<h2 class="contentheading"><span><a href="(.*?)" class="contentpagetitle">(.*?)<\/a>/',$html,$todo);

      preg_match_all('/"article-content clearfix">[\s|\n|\t]*<p><a href="[^"]*"><img src="(.*?)"/',$html,$cover);

      foreach ($cover[1] as &$value) {$value = $website2.'/'.$value;}

      $lista = array ('titulo' => $todo[2], 'enlace' => $todo[1], 'caratula' => $cover[1]);

      $tipo = 'enlaces';
   }
	
	
	else if ($queryData['busqueda'] != '') { // De momento solo busca en la primera pgina de resultados.
	
	
	  $html = file_get_contents($queryData['busqueda']);	

//    preg_match_all('/<h4>[\s|\n|\t]*<a href="/hdrip-brscr/(.*?)"  >[\s|\n|\t]*(.*?)<\/a>/',$html,$todohd); // Recogo los resultados de las pelis en HD
		
//    preg_match_all('/<h4>[\s|\n|\t]*<a href="/peliculas/(.*?)"  >[\s|\n|\t]*(.*?)<\/a>/',$html,$todosd);	// Recogo los resultados de las pelis en SD	

    
		preg_match_all('/<h4>[\s|\n|\t]*<a href="(.*?)"  >[\s|\n|\t]*(.*?)<\/a>/',$html,$todo); // Recogo los resultados de las pelis en HD
		
		$contador = count($todo[1]);
		
		$contresult = 0;
		
		
		for ($i = 0; $i < $contador; $i++) {

		  if ( strpos ( $todo[1][$i] , 'hdrip' ) != FALSE  || strpos ( $todo[1][$i] , 'peliculas' ) != FALSE ){
			
		     $result[1][$contresult] = $todo[1][$i];
				 	
				 $result[2][$contresult] = $todo[2][$i];		
								
				 $contresult++;				 
				 			
			}  
		
		}
		
			
	  $lista = array ('titulo' => $result[2],'enlace' => $result[1]);  
  
  	$tipo = 'enlaces';		

	
	}
	

	// Pgina de enlaces a MV y MU

	else if ($queryData['enlaces']!=''){

		$lista = _CrearListaMega($website2.$queryData['enlaces'],

			'/<param name="movie" value=(.*?) <\/param>"/',

			'/- <a href="http:\/\/www.megaupload.com\/\?d=(.*?)" target="_blank">http/',

			'/class="contentpagetitle">(.*?)<\/a>/',

			array(1,1,1));

		return _pluginCreateVideoItems($lista,$plugin);

	}

	// Pgina Inicial

	else

	{

		$lista = array (

		'titulo' => array ('Peliculas HD', 'Pelis SD Generos'),

		'enlace' => array ('paginasHD','listadoG'),

		'caratula' => array ('http://i53.tinypic.com/30lf42a.png',

	                     'http://i53.tinypic.com/13ztog9.jpg'),

		);

		$tipo = 'inicio';

	}

	return _CrearItems($lista,$plugin,$tipo);

}

function _cadenaBusqueda() {

	return 'http://www.sofacine.com/buscar-2.html?searchword=';

}

?>



